package com.goafanti.admin.service;

import com.goafanti.admin.bo.SalesTeamBo;
import com.goafanti.common.model.SalesTeam;

/**
 * 营销团队(SalesTeam)表服务接口
 *
 * @author makejava
 * @since 2024-12-09 11:18:44
 */
public interface SalesTeamService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    SalesTeamBo queryById(Integer id);


    /**
     * 新增数据
     *
     * @param salesTeam 实例对象
     * @return 实例对象
     */
    SalesTeam insert(SalesTeam salesTeam);

    /**
     * 修改数据
     *
     * @param salesTeam 实例对象
     * @return 实例对象
     */
    SalesTeam update(SalesTeam salesTeam);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Integer id);

    /**
     * 列表数据
     *
     * @return 是否成功
     */
    Object list(Integer lvl);

    boolean checkName(SalesTeam name);

    Object pageList(SalesTeam in, Integer pageNo, Integer pageSize);

    Object lvlList();
}
